Bug 277771 - qemu-kvm utilizes large amounts of CPU on Windows XP
qemu-kvm utilizes large amounts of CPU on Windows XP
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 02:06 EDT by Russell Robinson
Modified: 2008-08-02 19:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 00:33:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Russell Robinson 2007-09-05 02:06:06 EDT
Description of problem:
A Windows XP Virtual Machine (VM) uses 50% CPU according to Virtual Machine
Manager, even when Windows is idle (Core 2 Duo hardware).

Changing "/usr/bin/qemu-kvm" to "/usr/bin/qemu" creates a slower performing VM,
but with around 1-3% CPU utilization when Windows is idle.


Version-Release number of selected component (if applicable):
qemu-0.9.0-2.fc7
kvm-24-1

How reproducible:
Always.

Steps to Reproduce:
1. Create a Windows XP virtual machine, with hardware acceleration enabled.
2. Install Windows XP and upgrade to Windows XP SP2 and install all latest
updates.  You will see the high CPU utilization even when the install is waiting
for a prompt.
3. Within Windows, set Computer to "Standard PC", using Device Manager (or
during installation).  Set graphics adapter hardware acceleration to None.
4. CPU utilization is still high.
  
Actual results:
CPU utilization is high when Windows XP is idle, using qemu-kvm, but low when
using qemu.

Expected results:
When Windows is idle, the CPU should have low utilization.

Additional info:
Comment 1 Hans de Goede 2007-09-05 02:46:45 EDT
qemu-kvm is part of the kvm package, not of qemu, changing component and
reassigning.
Comment 2 Jeremy Katz 2007-09-05 08:53:24 EDT
Which kernel is this with?  Does kvm-36 from -updates-testing help?
Comment 3 Russell Robinson 2007-09-06 08:10:04 EDT
Hi,

It's with 2.6.22.4-65.fc7 and 2.6.22.4-65.fc7PAE.

I haven't tried it on the older XEN kernel.

I'll try kvm-36 from updates testing and let you know.

Thanks.
Russell
Comment 4 Russell Robinson 2007-09-06 18:38:45 EDT
Hi,

updates-testing has this, according to yum:
kvm.i386                                 35-2.fc7               updates-testing 

no kvm-36??

Do you want me to download the package from somewhere else?

BTW, I'm using Fedora 7.

regards,
Russell
Comment 5 Russell Robinson 2007-09-12 17:34:13 EDT
Hi,

I just tried kvm-35-2 and it doesn't boot my VMs.

No error message anywhere and silly libvirt doesn't let you look at the console
to see any messages (it flashes off very quickly).

Hope that helps, but doubt it does.

regards,
Russell
Comment 6 Andrew Gilmore 2007-10-08 22:08:35 EDT
See #310591 for why -35 is not booting at all.

I do not see this problem with kvm-24. 2-4% CPU usage when the guest is idle.

Russell, you can boot the guest by hand outside virt-manager to see why it is
crashing, e.g:
qemu-kvm -hda <path to disk image> -localtime  -m 512 
Comment 7 Andrew Gilmore 2007-10-08 22:10:24 EDT
Grrr, bug #310591 ? HOw to get the auto bug link to work.

Manual link:
https://bugzilla.redhat.com/show_bug.cgi?id=310591

Sorry for the spam.
Comment 8 Jeff Layton 2007-12-19 14:35:31 EST
This link might be of use. ACPI virtualization is very slow in KVM. Disabling
ACPI in the guest makes it run with sane amounts of CPU.

http://kvm.qumranet.com/kvmwiki/Windows_ACPI_Workaround
Comment 9 Michel Alexandre Salim 2008-02-18 15:12:02 EST
kvm-36 is now in updates. If that does not work, I've just used kvm-60 from Rawhide on my F-8 machine 
(Core 2 Duo, x86_64) with WinXP SP2 and it does not seem to be affected by the problem anymore.


Comment 10 Brian Powell 2008-04-25 00:33:00 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.